com.sleepycat.util

## Interface ExceptionWrapper

All Known Implementing Classes:
  IOExceptionWrapper, RuntimeExceptionWrapper

    public interface ExceptionWrapper

Interface implemented by exceptions that can contain nested exceptions.

### Method Summary

Methods
`java.lang.Throwable` `getCause()` Returns the nested exception or null if none is present.
`java.lang.Throwable` `getDetail()` Deprecated. replaced by `getCause()`.

### Method Detail

#### getDetail

    java.lang.Throwable getDetail()

Deprecated. replaced by `getCause()`.
Returns the nested exception or null if none is present.

Returns:
  the nested exception or null if none is present.

#### getCause

    java.lang.Throwable getCause()

Returns the nested exception or null if none is present.

This method is intentionally defined to be the same signature as the `java.lang.Throwable.getCause` method in Java 1.4 and greater. By defining this method to return a nested exception, the Java 1.4 runtime will print the nested stack trace.

Returns:
  the nested exception or null if none is present.